package src.hw4;
@SuppressWarnings("unchecked")
public class Merge {
	// Merges two sorted arrays into one sorted array
	public static Comparable[] merge (Comparable[] a, Comparable[] b) {
		int newsize = a.length + b.length;
		Comparable c[] = new Comparable[newsize];
		int h =0, i= 0, j= 0;

		while ((h < a.length) && (j < b.length))
			if (a[h].compareTo(b[j]) <= 0)
				c[i++] = a[h++];
			else
				c[i++] = b[j++];

		if (h >= a.length)
			for (int k = j; k < b.length; k++)
				c[i++] = b[k];
		else
			for (int k = h; k < a.length ; k++)
				c[i++] =a[k];
		
		return c;
	}
}