package src.hw4;
@SuppressWarnings("unchecked")
public class SatelliteData implements Comparable  {
	double longitude; //varies between 0 to 360
	double cloudCover; // varies between 0 to 100%
	double temperature; // varies between 0 to 400K

	public SatelliteData() {}

	public int compareTo(Object other) {
		double otherLongitude = ((SatelliteData)other).longitude;
		if (longitude -  otherLongitude < 0)
			return -1;
		else if (longitude - otherLongitude > 0)
			return 1;
		else
			return 0;		// Very unlikely with doubles
	   }

	public String toString() {
		return ("Longitude: "+longitude+"\tcloud: "+cloudCover+"\ttemperature: "+temperature);
	}
}